<results-events>

  <h3 if = { !results.length }>There are no events to display</h3>

  <table if = { tab == 'map' }>
      <tr each="{ results }" if={ kind == "CONFERENCE" && seconds_since_event(when) < 0 && point != null } onclick="{ navigate }">
        <td>
        { pretty_date(when) }
        </td>
        <td>
            <span class="ShortName">{title.charAt(0)}</span>
        </td>
        <td>
            <h3>{ title }</h3>
            <p>{ address }</p>
        </td>
        <td>
            { body }
        </td>
        <td>
            <label if = { distance } class="distance" }>{ distance } kms away</label>
        </td>
      </tr>
  </table>

  <table if = { tab == 'events' }>
      <tr each="{ results }" if={ kind == "CONFERENCE" && seconds_since_event(when) < 0 } onclick="{ navigate }">
        <td>
        { pretty_date(when) }
        </td>
        <td>
            <span class="ShortName">{title.charAt(0)}</span>
        </td>
        <td>
            <h3>{ title }</h3>
            <p>{ address }</p>
        </td>
        <td>
            { body }
        </td>
        <td>
            <label if = { distance } class="distance" }>{ distance } kms away</label>
        </td>
      </tr>
  </table>

  <table if = { tab == 'webinars' }>
      <tr each="{ results }" if={ kind == "WEBINAR" && seconds_since_event(when) < 0 } onclick="{ navigate }">
        <td>
        { pretty_date(when) }
        </td>
        <td>
            <span class="ShortName">{ title.charAt(0) }</span>
        </td>
        <td>
            <h3>{ title }</h3>
        </td>
        <td>
            { body }
        </td>
      </tr>
  </table>

  <table if = { tab == 'fundings' }>
      <tr each="{ results }" if={ kind == "FUNDING" && seconds_since_event(when) < 0 } onclick="{ navigate }">
        <td>
        { pretty_date(when) }
        </td>
        <td>
            <span class="ShortName">{ title.charAt(0) }</span>
        </td>
        <td>
            <h3>{ title }</h3>
        </td>
        <td>
            { body }
        </td>
      </tr>
  </table>

  <table if = { tab == 'past' }>
      <tr each="{ event }" if={  seconds_since_event(when) > 0 } onclick="{ navigate }">
        <td>
        { pretty_date(when) }
        </td>
        <td>
            <span class="ShortName">{ title.charAt(0) }</span>
        </td>
        <td>
            <h3>{ title }</h3>
        </td>
        <td>
            { body }
        </td>
      </tr>
  </table>

  <p if = { !results.length }>Sorry, nothing matches your criteria, try a less specific search?</p>


    var controller = this;
    this.results = [];

    results_manager.on('update', function(rsp){
    controller.update({
        results: rsp.results
        });
    });

    //past event ordering
    fetch(API_URL + '?past_all=true')
    .then(function(response) {
        return response.json();
    })
    .then(function(data) {
        console.log(data)
        controller.update({
            event: data.results
        });
    });

    navigate(e) {
    window.open('/s/e/' + e.item.slug);
    }

    results_manager.on('update_tab', function(tab) {
        controller.update({tab: tab})
    })

    this.pretty_date = pretty_date;

</results-events>
